#ifndef _RADAR_R3_H_
#define _RADAR_R3_H_

#include "stdint.h"

enum
{
  PDC_Idle=0u,
  PDC_Standby, 
  PDC_Req_Config,
  PDC_Feed_Back,
  PDC_Fault,
  PDC_Work,  

  PDC_Data_Time_Out, 
  PDC_Data_OK,
  PDC_Data_Error,
  PDC_Data_Idle,
};

extern void Radar_R3_Init ( void );
extern void Radar_R3_Receiving_Service ( void );
extern void Uart_Data_Get(uint8_t Value);

extern uint8_t Rada_Get_Diagnose(void);

extern uint8_t Radra_Get_SEG_L(void);
extern uint8_t Radra_Get_SEG_M(void);
extern uint8_t Radra_Get_SEG_R(void);
uint8_t Radra_Get_Warning(void);

#endif
